; (function ($) {
  'use strict'

  /**
   * JavaScript code for admin dashboard.
   *
   */

  $(function () {
    /* Preloader */
    $("#ta_pop_view_options .pop-metabox").css("visibility", "hidden");

    var PCP_layout_type = $(
      '#pop-section-ta_pop_layouts_1 .pop-field-layout_preset .pop-siblings .pop--sibling'
    )
    var PCP_get_layout_value = $(
      '#pop-section-ta_pop_layouts_1 .pop-field-layout_preset .pop-siblings .pop--sibling.pop--active'
    )
      .find('input')
      .val()

    // Carousel Layout.
    if (PCP_get_layout_value !== 'carousel_layout') {
      $(
        '#ta_pop_view_options .pop-nav ul li.menu-item_ta_pop_view_options_3'
      ).hide()
      $(
        '#ta_pop_view_options .pop-nav ul li.menu-item_ta_pop_view_options_1 a'
      ).trigger('click');
    } else {
      $(
        '#ta_pop_view_options .pop-nav ul li.menu-item_ta_pop_view_options_3'
      ).show()
    }

    /**
     * Show/Hide tabs on changing of layout.
     */
    $(PCP_layout_type).on('change', 'input', function (event) {
      var PCP_get_layout_value = $(this).val();

      // Carousel Layout.
      if (PCP_get_layout_value !== 'carousel_layout') {
        $(
          '#ta_pop_view_options .pop-nav ul li.menu-item_ta_pop_view_options_3'
        ).hide()
        $(
          '#ta_pop_view_options .pop-nav ul li.menu-item_ta_pop_view_options_1 a'
		).trigger('click');
      } else {
        $(
          '#ta_pop_view_options .pop-nav ul li.menu-item_ta_pop_view_options_3'
        ).show()
      }
    })

    /* Preloader js */
    $("#ta_pop_view_options .pop-metabox").css({ "backgroundImage": "none", "visibility": "visible", "minHeight": "auto" });
    $("#ta_pop_view_options .pop-nav-metabox li").css("opacity", 1);

    /* Copy to clipboard */
    $('.pop-shortcode-selectable').on('click',function (e) {
      e.preventDefault();
      pop_copyToClipboard($(this));
      pop_SelectText($(this));
      $(this).trigger("focus").select();
      $('.pop-after-copy-text').animate({
        opacity: 1,
        bottom: 25
      }, 300);
      setTimeout(function () {
        jQuery(".pop-after-copy-text").animate({
          opacity: 0,
        }, 200);
        jQuery(".pop-after-copy-text").animate({
          bottom: 0
        }, 0);
      }, 2000);
    });
    $('.ta_pop_input').on('click',function (e) {
      e.preventDefault();
      /* Get the text field */
      var copyText = $(this);
      /* Select the text field */
      copyText.select();
      document.execCommand("copy");
      $('.pop-after-copy-text').animate({
        opacity: 1,
        bottom: 25
      }, 300);
      setTimeout(function () {
        jQuery(".pop-after-copy-text").animate({
          opacity: 0,
        }, 200);
        jQuery(".pop-after-copy-text").animate({
          bottom: 0
        }, 0);
      }, 2000);
    });
    function pop_copyToClipboard(element) {
      var $temp = $("<input>");
      $("body").append($temp);
      $temp.val($(element).text()).select();
      document.execCommand("copy");
      $temp.remove();
    }
    function pop_SelectText(element) {
      var r = document.createRange();
      var w = element.get(0);
      r.selectNodeContents(w);
      var sel = window.getSelection();
      sel.removeAllRanges();
      sel.addRange(r);
    }

  })
})(jQuery)
