jQuery(document).ready(function ($) {
  "use strict";
  var pop_myScript = function () {
    if ($(".ta-container").length > 0) {
      $(".ta-container").each(function () {
        var pop_container = $(this),
          pop_container_id = pop_container.attr("id"),
          POP_Wrapper_ID = "#" + pop_container_id,
          pc_sid = $(POP_Wrapper_ID).data("sid"), // The Shortcode ID.
          popCarousel = $("#" + pop_container_id + " .ta-pop-carousel"),
          popAccordion = $("#" + pop_container_id + " .ta-collapse"),
          popfilter = $("#" + pop_container_id + ".pop-filter-wrapper"),
          ajaxurl = sppop.ajaxurl,
          nonce = sppop.nonce,
          popCarouselDir = popCarousel.attr("dir"),
          popSwiper,
          popCarouselData = popCarousel.data("carousel");
       
        if (popCarousel.length > 0) {
          var mobile_land = parseInt(
              popCarouselData.responsive.mobile_landscape
            ),
            tablet_size = parseInt(popCarouselData.responsive.tablet),
            desktop_size = parseInt(popCarouselData.responsive.desktop),
            lg_desktop_size = parseInt(popCarouselData.responsive.lg_desktop);
        }

        // Carousel Init function.
        function pop_carousel_init() {
          // Carousel ticker mode.
          if (popCarouselData.mode == "ticker") {
            var item = popCarousel.find(".swiper-wrapper .swiper-slide").length;
            popSwiper = popCarousel.find(".swiper-wrapper").bxSlider({
              mode: "horizontal",
              moveSlides: 1,
              slideMargin: popCarouselData.spaceBetween,
              infiniteLoop: popCarouselData.loop,
              slideWidth: popCarouselData.ticker_width,
              minSlides: popCarouselData.slidesPerView.mobile,
              maxSlides: popCarouselData.slidesPerView.lg_desktop,
              speed: popCarouselData.ticker_speed * item,
              ticker: true,
              tickerHover: popCarouselData.stop_onHover,
              autoDirection: popCarouselDir,
            });
          }

          // Carousel Swiper for Standard & Center mode.
          if (
            popCarouselData.mode == "standard" ||
            popCarouselData.mode == "center"
          ) {
            if (
              popCarouselData.effect == "fade" ||
              popCarouselData.effect == "cube" ||
              popCarouselData.effect == "flip"
            ) {
              if ($(window).width() > lg_desktop_size) {
                slidePerView = popCarouselData.slidesPerView.lg_desktop;
              } else if ($(window).width() > desktop_size) {
                slidePerView = popCarouselData.slidesPerView.desktop;
              } else if ($(window).width() > tablet_size) {
                slidePerView = popCarouselData.slidesPerView.tablet;
              } else if ($(window).width() > 0) {
                slidePerView = popCarouselData.slidesPerView.mobile_landscape;
              }
              $(
                POP_Wrapper_ID +
                  " .ta-pop-carousel .swiper-wrapper > .ta-postify-pro-item"
              )
                .css("width", 100 / slidePerView + "%")
                .removeClass("swiper-slide");
              var fade_items = $(
                POP_Wrapper_ID +
                  " .ta-pop-carousel .swiper-wrapper > .ta-postify-pro-item"
              );
              var style =
                popCarouselDir == "rtl" ? "marginLeft" : "marginRight";
              for (var i = 0; i < fade_items.length; i += slidePerView) {
                fade_items
                  .slice(i, i + slidePerView)
                  .wrapAll('<div class="swiper-slide"></div>');
                fade_items.eq(i - 1).css(style, 0);
              }
              popSwiper = new Swiper(
                "#" + pop_container_id + " .ta-pop-carousel",
                {
                  speed: popCarouselData.speed,
                  slidesPerView: 1,
                  spaceBetween: popCarouselData.spaceBetween,
                  loop:
                    popCarouselData.slidesRow.lg_desktop > "1" ||
                    popCarouselData.slidesRow.desktop > "1" ||
                    popCarouselData.slidesRow.tablet > "1" ||
                    popCarouselData.slidesRow.mobile_landscape > "1" ||
                    popCarouselData.slidesRow.mobile > "1"
                      ? false
                      : popCarouselData.loop,
                  effect: popCarouselData.effect,
                  slidesPerGroup: popCarouselData.slideToScroll.mobile,
                  preloadImages: false,
                  observer: true,
                  runCallbacksOnInit: false,
                  initialSlide: 0,
                  slidesPerColumn: popCarouselData.slidesRow.mobile,
                  slidesPerColumnFill: "row",
                  autoHeight:
                    popCarouselData.slidesRow.lg_desktop > "1" ||
                    popCarouselData.slidesRow.desktop > "1" ||
                    popCarouselData.slidesRow.tablet > "1" ||
                    popCarouselData.slidesRow.mobile_landscape > "1" ||
                    popCarouselData.slidesRow.mobile > "1"
                      ? false
                      : popCarouselData.autoHeight,
                  simulateTouch: popCarouselData.simulateTouch,
                  allowTouchMove: popCarouselData.allowTouchMove,
                  mousewheel: popCarouselData.slider_mouse_wheel,
                  centeredSlides: popCarouselData.center_mode,
                  lazy: popCarouselData.lazy,
                  //grabCursor: true,
                  pagination:
                    popCarouselData.pagination == true
                      ? {
                          el: ".swiper-pagination",
                          clickable: true,
                          dynamicBullets: popCarouselData.dynamicBullets,
                          renderBullet: function (index, className) {
                            if (popCarouselData.bullet_types == "number") {
                              return (
                                '<span class="' +
                                className +
                                '">' +
                                (index + 1) +
                                "</span>"
                              );
                            } else {
                              return '<span class="' + className + '"></span>';
                            }
                          },
                        }
                      : false,
                  autoplay: {
                    delay: popCarouselData.autoplay_speed,
                  },
                  navigation:
                    popCarouselData.navigation == true
                      ? {
                          nextEl: ".pop-button-next",
                          prevEl: ".pop-button-prev",
                        }
                      : false,
                  fadeEffect: {
                    crossFade: true,
                  },
                  ally: {
                    enabled: popCarouselData.enabled,
                    prevSlideMessage: popCarouselData.prevSlideMessage,
                    nextSlideMessage: popCarouselData.nextSlideMessage,
                    firstSlideMessage: popCarouselData.firstSlideMessage,
                    lastSlideMessage: popCarouselData.lastSlideMessage,
                    paginationBulletMessage:
                      popCarouselData.paginationBulletMessage,
                  },
                  keyboard: {
                    enabled: popCarouselData.keyboard === "true" ? true : false,
                  },
                }
              );
            } else {
              popSwiper = new Swiper(
                "#" + pop_container_id + " .ta-pop-carousel",
                {
                  speed: popCarouselData.speed,
                  slidesPerView: popCarouselData.slidesPerView.mobile,
                  spaceBetween: popCarouselData.spaceBetween,
                  loop:
                    popCarouselData.slidesRow.lg_desktop > "1" ||
                    popCarouselData.slidesRow.desktop > "1" ||
                    popCarouselData.slidesRow.tablet > "1" ||
                    popCarouselData.slidesRow.mobile_landscape > "1" ||
                    popCarouselData.slidesRow.mobile > "1"
                      ? false
                      : popCarouselData.loop,
                  effect: popCarouselData.effect,
                  slidesPerGroup: popCarouselData.slideToScroll.mobile,
                  preloadImages: false,
                  observer: true,
                  runCallbacksOnInit: false,
                  initialSlide: 0,
                  slidesPerColumn: popCarouselData.slidesRow.mobile,
                  slidesPerColumnFill: "row",
                  autoHeight:
                    popCarouselData.slidesRow.lg_desktop > "1" ||
                    popCarouselData.slidesRow.desktop > "1" ||
                    popCarouselData.slidesRow.tablet > "1" ||
                    popCarouselData.slidesRow.mobile_landscape > "1" ||
                    popCarouselData.slidesRow.mobile > "1"
                      ? false
                      : popCarouselData.autoHeight,
                  simulateTouch: popCarouselData.simulateTouch,
                  allowTouchMove: popCarouselData.allowTouchMove,
                  mousewheel: popCarouselData.slider_mouse_wheel,
                  centeredSlides: popCarouselData.center_mode,
                  lazy: popCarouselData.lazy,
                  //grabCursor: true,
                  pagination:
                    popCarouselData.pagination == true
                      ? {
                          el: ".swiper-pagination",
                          clickable: true,
                          dynamicBullets: popCarouselData.dynamicBullets,
                          renderBullet: function (index, className) {
                            if (popCarouselData.bullet_types == "number") {
                              return (
                                '<span class="' +
                                className +
                                '">' +
                                (index + 1) +
                                "</span>"
                              );
                            } else {
                              return '<span class="' + className + '"></span>';
                            }
                          },
                        }
                      : false,
                  autoplay: {
                    delay: popCarouselData.autoplay_speed,
                  },
                  navigation:
                    popCarouselData.navigation == true
                      ? {
                          nextEl: ".pop-button-next",
                          prevEl: ".pop-button-prev",
                        }
                      : false,
                  breakpoints: {
                    [mobile_land]: {
                      slidesPerView:
                        popCarouselData.slidesPerView.mobile_landscape,
                      slidesPerGroup:
                        popCarouselData.slideToScroll.mobile_landscape,
                      slidesPerColumn:
                        popCarouselData.slidesRow.mobile_landscape,
                      navigation:
                        popCarouselData.navigation_mobile == true
                          ? {
                              nextEl: ".pop-button-next",
                              prevEl: ".pop-button-prev",
                            }
                          : false,
                      pagination:
                        popCarouselData.pagination_mobile == true
                          ? {
                              el: ".swiper-pagination",
                              clickable: true,
                              dynamicBullets: popCarouselData.dynamicBullets,
                              renderBullet: function (index, className) {
                                if (popCarouselData.bullet_types == "number") {
                                  return (
                                    '<span class="' +
                                    className +
                                    '">' +
                                    (index + 1) +
                                    "</span>"
                                  );
                                } else {
                                  return (
                                    '<span class="' + className + '"></span>'
                                  );
                                }
                              },
                            }
                          : false,
                    },
                    [tablet_size]: {
                      slidesPerView: popCarouselData.slidesPerView.tablet,
                      slidesPerGroup: popCarouselData.slideToScroll.tablet,
                      slidesPerColumn: popCarouselData.slidesRow.tablet,
                    },
                    [desktop_size]: {
                      slidesPerView: popCarouselData.slidesPerView.desktop,
                      slidesPerGroup: popCarouselData.slideToScroll.desktop,
                      slidesPerColumn: popCarouselData.slidesRow.desktop,
                    },
                    [lg_desktop_size]: {
                      slidesPerView: popCarouselData.slidesPerView.lg_desktop,
                      slidesPerGroup: popCarouselData.slideToScroll.lg_desktop,
                      slidesPerColumn: popCarouselData.slidesRow.lg_desktop,
                    },
                  },
                  fadeEffect: {
                    crossFade: true,
                  },
                  ally: {
                    enabled: popCarouselData.enabled,
                    prevSlideMessage: popCarouselData.prevSlideMessage,
                    nextSlideMessage: popCarouselData.nextSlideMessage,
                    firstSlideMessage: popCarouselData.firstSlideMessage,
                    lastSlideMessage: popCarouselData.lastSlideMessage,
                    paginationBulletMessage:
                      popCarouselData.paginationBulletMessage,
                  },
                  keyboard: {
                    enabled: popCarouselData.keyboard === "true" ? true : false,
                  },
                }
              );
            }
            if (popCarouselData.autoplay === false) {
              popSwiper.autoplay.stop();
            }
            if (popCarouselData.stop_onHover && popCarouselData.autoplay) {
              $(popCarousel).on({
                mouseenter: function () {
                  popSwiper.autoplay.stop();
                },
                mouseleave: function () {
                  popSwiper.autoplay.start();
                },
              });
            }
            $(window).on("resize", function () {
              popSwiper.update();
            });
            $(window).trigger("resize");
          }
        }
        if (popCarousel.length > 0) {
          pop_carousel_init();
        }
        $(
          ".ta-overlay.ta-pop-post,.ta-content-box.ta-pop-post",
          POP_Wrapper_ID
        ).on("mouseover", function () {
          $(this)
            .find(".postify__item__content.animated:not(.pop_hover)")
            .addClass("pop_hover");
        });

        
        /**
         *  Isotope Filter layout.
         */
        if (popfilter.length > 0) {
          if (popfilter.data("grid") == "masonry") {
            var layoutMode = "masonry";
          } else {
            var layoutMode = "fitRows";
          }
          var $grid = $(".grid", POP_Wrapper_ID).isotope({
            itemSelector: ".item",
            //layoutMode: 'fitRows'
            layoutMode: layoutMode,
          });
          $grid.imagesLoaded().progress(function () {
            $grid.isotope("layout");
          });

          // This function added for pop-Lazyload.
          function pop_lazyload() {
            $is_find = $(".ta-pop-post-thumb-area img").hasClass(
              "pop-lazyload"
            );
            if ($is_find) {
              $("img.pop-lazyload")
                .pop_lazyload({ effect: "fadeIn", effectTime: 2000 })
                .removeClass("pop-lazyload")
                .addClass("pop-lazyloaded");
            }
            $grid.isotope("layout");
          }

          // Store filter for each group.
          var filters = {};
          $(".pop-shuffle-filter .taxonomy-group", POP_Wrapper_ID).on(
            "change",
            function (event) {
              var $select = $(event.target);
              // get group key
              var filterGroup = $select.attr("data-filter-group");
              // set filter for group
              filters[filterGroup] = event.target.value;
              // combine filters
              var filterValue = concatValues(filters);
              // set filter for Isotope
              $grid.isotope({ filter: filterValue });
              $grid.on("layoutComplete", function () {
                $(window).trigger("scroll");
              });
            }
          );

          $(".pop-shuffle-filter", POP_Wrapper_ID).on(
            "click",
            ".pop-button",
            function (event) {
              var $button = $(event.currentTarget);
              // get group key
              var $taxonomyGroup = $button.parents(".taxonomy-group");
              var filterGroup = $taxonomyGroup.attr("data-filter-group");
              // taxonomy = $taxonomyGroup.attr('data-filter-group');
              // set filter for group
              filters[filterGroup] = $button.attr("data-filter");
              //  term_id = $button.attr('data-termid');
              // combine filters
              var filterValue = concatValues(filters);
              // set filter for Isotope
              $grid.isotope({ filter: filterValue });
              $grid.on("layoutComplete", function () {
                $(window).trigger("scroll");
              });
            }
          );
          // Change is-active class on buttons.
          $(".taxonomy-group", POP_Wrapper_ID).each(function (
            i,
            taxonomyGroup
          ) {
            var $taxonomyGroup = $(taxonomyGroup);
            var $find_active_button = $taxonomyGroup.find(".is-active");
            if ($find_active_button.length == 0) {
              $taxonomyGroup
                .find("button:nth-child(1)")
                .addClass("is-active")
                .click();
            }
            $taxonomyGroup.on("click", "button", function (event) {
              $taxonomyGroup.find(".is-active").removeClass("is-active");
              var $button = $(event.currentTarget);
              $button.addClass("is-active");
            });
          });
          // Flatten object by concatenation values.
          function concatValues(obj) {
            var value = "";
            for (var prop in obj) {
              value += obj[prop];
            }
            return value;
          }
        }

        function pop_item_same_height() {
          var maxHeight = 0;
          $(POP_Wrapper_ID + ".pop_same_height .item").each(function () {
            if ($(this).find(".ta-pop-post").height() > maxHeight) {
              maxHeight = $(this).find(".ta-pop-post").height();
            }
          });
          $(POP_Wrapper_ID + ".pop_same_height .ta-pop-post").height(maxHeight);
        }
        if (
          $(POP_Wrapper_ID + ".pop_same_height").hasClass("pop-filter-wrapper")
        ) {
          pop_item_same_height();
        }

        // Ajax Action for Live filter.
        var keyword = "",
          orderby = "",
          taxonomy = "",
          order = "",
          term_id = "",
          page = "",
          spsp_lang = $(POP_Wrapper_ID).data("lang");
          var author_id = "",
          custom_field_key = "",
          custom_field_value = "",
          pop_hash_url = Array(),
          pop_last_filter = "",
          custom_fields_array = Array(),
          is_pagination_url_change = true;
        function pop_ajax_action(selected_term_list = null) {
          jQuery.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
              action: "pop_post_order",
              id: pc_sid,
              lang: spsp_lang,
              order: order,
              keyword: keyword,
              orderby: orderby,
              taxonomy: taxonomy,
              term_id: term_id,
              author_id: author_id,
              nonce: nonce,
              term_list: selected_term_list,
              custom_fields_array: custom_fields_array,
            },
            success: function (data) {
              var $data = $(data);
              var $newElements = $data;

              if ($(POP_Wrapper_ID).hasClass("pop-masonry")) {
                var $post_wrapper = $(".ta-row", POP_Wrapper_ID);
                $post_wrapper.masonry("destroy");
                $post_wrapper.html($newElements).imagesLoaded(function () {
                  $post_wrapper.masonry();
                });
              } else if ($(POP_Wrapper_ID).hasClass("pop-filter-wrapper")) {
                $(
                  ".ta-row, .pop-timeline-grid, .ta-collapse, .table-responsive tbody",
                  POP_Wrapper_ID
                ).html($newElements);
                $grid
                  .append($newElements)
                  .isotope("appended", $newElements)
                  .imagesLoaded(function () {
                    $grid.isotope("layout");
                  });
                pop_item_same_height();
              } else if (popCarousel.length > 0) {
                if (popCarouselData.mode == "ticker") {
                  popSwiper.destroySlider();
                  $(".swiper-wrapper", POP_Wrapper_ID).html($newElements);
                  pop_carousel_init();
                  popSwiper.reloadSlider();
                } else {
                  popSwiper.destroy(true, true);
                  $(".swiper-wrapper", POP_Wrapper_ID).html($newElements);
                  pop_carousel_init();
                }
              } else {
                var $newElements = $data.css({
                  opacity: 0,
                });
                $(
                  ".ta-row, .pop-timeline-grid, .ta-collapse, .table-responsive tbody",
                  POP_Wrapper_ID
                ).html($newElements);
                if (popAccordion.length > 0) {
                  popAccordion.accordion("refresh");
                  if (accordion_mode === "multi-open") {
                    popAccordion
                      .find(".pop-collapse-header")
                      .next()
                      .slideDown();
                    popAccordion
                      .find(".pop-collapse-header .fa")
                      .removeClass("fa-plus")
                      .addClass("fa-minus");
                  }
                }
                var $newElements = $data.css({
                  opacity: 1,
                });
              }
              pop_lazyload();
            },
          });
        }

        // Pagination.
        function pop_pagination_action(selected_term_list = null) {
          var LoadMoreText = $(".ta-pop-pagination-data", POP_Wrapper_ID).data(
            "loadmoretext"
          );
          var EndingMessage = $(".ta-pop-pagination-data", POP_Wrapper_ID).data(
            "endingtext"
          );
          jQuery.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
              action: "post_pagination_bar_mobile",
              id: pc_sid,
              order: order,
              lang: spsp_lang,
              keyword: keyword,
              orderby: orderby,
              taxonomy: taxonomy,
              author_id: author_id,
              term_id: term_id,
              page: page,
              nonce: nonce,
              term_list: selected_term_list,
              custom_fields_array: custom_fields_array,
            },
            success: function (data) {
              var $data = $(data);
              var $newElements = $data;
              $(
                ".pop-post-pagination.pop-on-mobile:not(.no_ajax)",
                POP_Wrapper_ID
              ).html($newElements);
              if (
                Pagination_Type == "infinite_scroll" ||
                Pagination_Type == "ajax_load_more"
              ) {
                $(".pop-load-more", POP_Wrapper_ID)
                  .removeClass("finished")
                  .removeClass("pop-hide")
                  .html(
                    '<button pop-processing="0">' + LoadMoreText + "</button>"
                  );
                if (!$(".pop-post-pagination a", POP_Wrapper_ID).length) {
                  $(".pop-load-more", POP_Wrapper_ID)
                    .show()
                    .html(EndingMessage);
                }
              }
              if (Pagination_Type == "infinite_scroll") {
                $(".pop-load-more", POP_Wrapper_ID).addClass("pop-hide");
              }
            },
          });
          jQuery.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
              action: "post_pagination_bar",
              id: pc_sid,
              order: order,
              lang: spsp_lang,
              keyword: keyword,
              orderby: orderby,
              taxonomy: taxonomy,
              author_id: author_id,
              term_id: term_id,
              page: page,
              nonce: nonce,
              term_list: selected_term_list,
              custom_fields_array: custom_fields_array,
            },
            success: function (data) {
              var $data = $(data);
              var $newElements = $data;
              $(
                ".pop-post-pagination.pop-on-desktop:not(.no_ajax)",
                POP_Wrapper_ID
              ).html($newElements);
              if (
                Pagination_Type == "infinite_scroll" ||
                Pagination_Type == "ajax_load_more"
              ) {
                $(".pop-load-more", POP_Wrapper_ID)
                  .removeClass("finished")
                  .removeClass("pop-hide")
                  .html(
                    '<button pop-processing="0">' + LoadMoreText + "</button>"
                  );
              }
              if (Pagination_Type == "infinite_scroll") {
                $(".pop-load-more", POP_Wrapper_ID).addClass("pop-hide");
              }
              if (!$(".pop-post-pagination a", POP_Wrapper_ID).length) {
                $(".pop-load-more", POP_Wrapper_ID).show().html(EndingMessage);
              }
              pop_lazyload();
            },
          });
        }
        // Live filter button reset on ajax call.
        function pop_live_filter_reset(selected_term_list = null) {
          jQuery.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
              action: "pop_live_filter_reset",
              id: pc_sid,
              order: order,
              lang: spsp_lang,
              keyword: keyword,
              orderby: orderby,
              taxonomy: taxonomy,
              term_id: term_id,
              author_id: author_id,
              nonce: nonce,
              term_list: selected_term_list,
              last_filter: pop_last_filter,
              custom_fields_array: custom_fields_array,
            },
            success: function (data) {
              var $data = $(data);
              var $newElements = $data.animate({
                opacity: 0.5,
              });
              $(".pop-filter-bar", POP_Wrapper_ID).html($newElements);
              custom_field_filter_slider();
              $newElements.animate({
                opacity: 1,
              });
            },
          });
        }
        // Update Hash url array.
        function pop_hash_update_arr(pop_filter_keyword, filter_arr, key) {
          if (pop_hash_url.length > 0) {
            pop_hash_url.forEach(function (row) {
              if ($.inArray(pop_filter_keyword, row.pop_filter_keyword)) {
                row[key] = pop_filter_keyword;
              } else {
                pop_hash_url.push(filter_arr);
              }
            });
          } else {
            pop_hash_url.push(filter_arr);
          }
          return pop_hash_url;
        }
        // On normal pagination go to current shortcode.
        var url_hash = window.location.search;
        if (url_hash.indexOf("paged") >= 0) {
          var s_id = /paged(\d+)/.exec(url_hash)[1];
          var spscurrent_id = document.getElementById("pop_wrapper-" + s_id);
          spscurrent_id.scrollIntoView();
        }
        // Update url.
        var selected_term_list = Array();
        function pop_update_url() {
          var p_search = window.location.search;
          if (p_search.indexOf("page_id") >= 0) {
            var pop_page = /page_id\=(\d+)/.exec(p_search)[1];
            var pop_url = "?page_id=" + pop_page + "&";
          } else {
            var pop_url = "&";
          }
          if (pop_hash_url.length > 0) {
            $.map(pop_hash_url, function (value, index) {
              $.map(value, function (value2, index2) {
                if (
                  value2 == "all" ||
                  value2 == "none" ||
                  value2 == "" ||
                  value2 == "page"
                ) {
                  pop_url += "";
                } else {
                  pop_url += "pop_" + index2 + "=" + value2 + "&";
                }
              });
            });
          }
          if (selected_term_list.length > 0) {
            var term_total_length = selected_term_list.length;
            $.map(selected_term_list, function (value, index) {
              if (value.term_id == "all" || value.term_id == "") {
                pop_url += "";
              } else {
                if (index == term_total_length - 1) {
                  pop_url += "tx_" + value.taxonomy + "=" + value.term_id + "";
                } else {
                  pop_url += "tx_" + value.taxonomy + "=" + value.term_id + "&";
                }
              }
            });
          }
          if (custom_fields_array.length > 0) {
            var meta_field_total_length = custom_fields_array.length;
            $.map(custom_fields_array, function (value, index) {
              //  if (index == meta_field_total_length - 1) {
              pop_url +=
                "cf" +
                value.custom_field_key +
                "=" +
                value.custom_field_value +
                "&";
              // }
            });
          }
          if (pop_hash_url.length < 0 || selected_term_list.length < 0) {
            pop_url = "";
          }
          if (pop_url.length > 1) {
            var slf = "";
            if (pop_last_filter.length > 0) {
              var slf = "&slf=" + pop_last_filter;
            }

            pop_url = "?sps=" + pc_sid + slf + pop_url;
            history.pushState(null, null, encodeURI(pop_url));
          } else {
            var uri = window.location.toString();
            if (uri.indexOf("?") > 0) {
              var clean_uri = uri.substring(0, uri.indexOf("?"));
              window.history.replaceState({}, document.title, clean_uri);
            }
          }
        }

        function custom_field_filter_slider() {
          $(POP_Wrapper_ID + " .pop-custom-field-filter-slider").each(
            function () {
              var _that = $(this);
              var _input = _that.find(".pop-input");
              var custom_field_key = _input.attr("name");
              var _min = _input.data("min");
              var _crmin = _input.data("crmin");
              var _crmax = _input.data("crmax");
              var _max = _input.data("max");
              _that.find(".pop-slider").slider({
                range: true,
                min: _crmin,
                max: _crmax,
                values: [_min, _max],
                slide: function (event, ui) {
                  _input.val(ui.values[0] + " - " + ui.values[1]);
                },
                stop: function (event, ui) {
                  _input.data("max", ui.values[1]);

                  custom_field_value = ui.values[0] + " " + ui.values[1];
                  custom_fields_array.push({
                    custom_field_key,
                    custom_field_value,
                  });
                  custom_fields_array.map(function (person) {
                    if (person.custom_field_key === custom_field_key) {
                      person.custom_field_value = custom_field_value;
                    }
                  });
                  custom_fields_array = $.grep(
                    custom_fields_array,
                    function (e, i) {
                      return e.custom_field_value.length;
                    }
                  );
                  custom_fields_array = custom_fields_array
                    .map(JSON.stringify)
                    .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
                    .filter(function (item, index, arr) {
                      return arr.indexOf(item, index + 1) === -1;
                    }) // check if there is any occurrence of the item in whole array
                    .reverse()
                    .map(JSON.parse);
                  pop_update_url();
                  pop_last_filter = custom_field_key;
                  pop_ajax_action(selected_term_list);
                  pop_live_filter_reset(selected_term_list);
                },
              });
            }
          );
        }
        custom_field_filter_slider();
        // Ajax post search.
        $("input.pop-search-field", POP_Wrapper_ID).on("keyup", function () {
          var that = $(this);
          keyword = that.val();
          pop_last_filter = "keyword";
          var pop_search_arr = { keyword, keyword };
          pop_live_filter_reset(selected_term_list);
          pop_hash_update_arr(keyword, pop_search_arr, "keyword");
          pop_update_url();
          pop_ajax_action(selected_term_list);
          pop_pagination_action();
          is_pagination_url_change = false;
          pop_hash_update_arr("page", { page: "" }, "page");
          pop_update_url();
        });

        // Post order by.
        $(".pop-order-by", POP_Wrapper_ID).on("change", function () {
          var that;
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              that = $(this);
              orderby = that.val();
            });
          var orerbyarr = { orderby, orderby };
          pop_hash_update_arr(orderby, orerbyarr, "orderby");
          pop_update_url();
          pop_ajax_action();
          pop_pagination_action();
          pop_hash_update_arr("page", { page: "" }, "page");
          pop_update_url();
        });

        function pop_filter_push(myarr, item) {
          var found = false;
          var i = 0;
          while (i < myarr.length) {
            if (myarr[i] === item) {
              // Do the logic (delete or replace)
              found = true;
              break;
            }
            i++;
          }
          // Add the item
          if (!found) myarr.push(item);
          return myarr;
        }

        // Pre Filter Init.
        var tax_list = Array();
        $(".pop-filter-by", POP_Wrapper_ID)
          .find("option:selected, input:radio:checked")
          .each(function () {
            term_id = $(this).val();
            taxonomy = $(this).data("taxonomy");
            var selected_tax_length = selected_term_list.length;
            if (selected_tax_length > 0) {
              var selected_tax =
                selected_term_list[selected_tax_length - 1]["taxonomy"];
              selected_term_list.map(function (person) {
                if (person.taxonomy === taxonomy) {
                  person.term_id = term_id;
                }
              });
              // if ($.inArray(taxonomy, tax_list) == -1) {
              selected_term_list.push({
                taxonomy,
                term_id,
              });
              //  }
              if (
                selected_term_list[selected_tax_length - 1]["term_id"] ==
                  "all" &&
                selected_tax === taxonomy
              ) {
                tax_list = tax_list.filter(function (val) {
                  return val !== taxonomy;
                });
              } else {
                tax_list = pop_filter_push(tax_list, taxonomy);
              }
              selected_term_list = $.grep(selected_term_list, function (e, i) {
                return e.term_id != "all";
              });
            } else {
              selected_term_list.push({
                taxonomy,
                term_id,
              });
              selected_term_list = $.grep(selected_term_list, function (e, i) {
                return e.term_id != "all";
              });
              tax_list = Array(taxonomy);
            }
          });
        $(".pop-author-filter", POP_Wrapper_ID)
          .find("option:selected, input:radio:checked")
          .each(function () {
            that = $(this);
            author_id = that.val();
          });
        $(".pop-order", POP_Wrapper_ID)
          .find("option:selected, input:radio:checked")
          .each(function () {
            that = $(this);
            order = $(this).val();
          });
        $(".pop-order-by", POP_Wrapper_ID)
          .find("option:selected, input:radio:checked")
          .each(function () {
            that = $(this);
            orderby = that.val();
          });
        $("input.pop-search-field", POP_Wrapper_ID).each(function () {
          var that = $(this);
          keyword = that.val();
        });
        $(".pop-filter-by-checkbox", POP_Wrapper_ID).each(function () {
          var current_tax = $(this).data("taxonomy");
          var term_ids = "";
          $(this)
            .find("input[name='" + current_tax + "']:checkbox:checked")
            .each(function () {
              term_ids += $(this).val() + ",";
              taxonomy = $(this).data("taxonomy");
            });
          term_id = term_ids.replace(/,(?=\s*$)/, "");
          selected_term_list.map(function (person) {
            if (person.taxonomy === current_tax) {
              person.term_id = term_id;
            }
          });
          selected_term_list.push({
            taxonomy,
            term_id,
          });
        });
        selected_term_list = $.grep(selected_term_list, function (e, i) {
          return e.term_id.length;
        });
        // Custom field filter.
        $(".pop-custom-field-filter", POP_Wrapper_ID).each(function () {
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              custom_field_key = $(this).attr("name");
              custom_field_value = $(this).val();
              custom_fields_array.map(function (person) {
                if (person.custom_field_key === custom_field_key) {
                  person.custom_field_value = custom_field_value;
                }
              });
              custom_fields_array.push({
                custom_field_key,
                custom_field_value,
              });
            });
        });
        selected_term_list = selected_term_list
          .map(JSON.stringify)
          .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
          .filter(function (item, index, arr) {
            return arr.indexOf(item, index + 1) === -1;
          }) // check if there is any occurence of the item in whole array
          .reverse()
          .map(JSON.parse);
        // Filter by checkbox.
        $(POP_Wrapper_ID).on("change", ".pop-filter-by-checkbox", function (e) {
          e.stopPropagation();
          e.preventDefault();
          $(".pop-filter-by-checkbox", POP_Wrapper_ID).each(function () {
            var current_tax = $(this).data("taxonomy");
            var term_ids = "";
            $(this)
              .find("input[name='" + current_tax + "']:checkbox:checked")
              .each(function () {
                term_ids += $(this).val() + ",";
                taxonomy = $(this).data("taxonomy");
              });
            term_id = term_ids.replace(/,(?=\s*$)/, "");
            selected_term_list.map(function (person) {
              if (person.taxonomy === current_tax) {
                person.term_id = term_id;
              }
            });
            selected_term_list.push({
              taxonomy,
              term_id,
            });
          });
          selected_term_list = $.grep(selected_term_list, function (e, i) {
            return e.term_id.length;
          });
          selected_term_list = selected_term_list
            .map(JSON.stringify)
            .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
            .filter(function (item, index, arr) {
              return arr.indexOf(item, index + 1) === -1;
            }) // check if there is any occurence of the item in whole array
            .reverse()
            .map(JSON.parse);
          var term_ids = "";
          $(this)
            .find("input:checkbox:checked")
            .each(function () {
              term_ids += $(this).val() + ",";
              taxonomy = $(this).data("taxonomy");
            });
          taxonomy = $(this).data("taxonomy");
          term_id = term_ids.replace(/,(?=\s*$)/, "");
          if (term_id.length > 0) {
            pop_last_filter = taxonomy;
          } else {
            pop_last_filter = pop_last_filter;
          }
          pop_hash_update_arr("page", { page: "" }, "page");
          pop_update_url();
          pop_live_filter_reset(selected_term_list);
          pop_ajax_action(selected_term_list);
          pop_pagination_action(selected_term_list);
        });

        // Filter by custom field.
        $(POP_Wrapper_ID).on(
          "change",
          ".pop-custom-field-filter",
          function (e) {
            e.stopPropagation();
            e.preventDefault();
            $(".pop-custom-field-filter", POP_Wrapper_ID).each(function () {
              $(this)
                .find("option:selected, input:radio:checked")
                .each(function () {
                  custom_field_key = $(this).attr("name");
                  custom_field_value = $(this).val();
                  custom_fields_array.map(function (person) {
                    if (person.custom_field_key === custom_field_key) {
                      person.custom_field_value = custom_field_value;
                    }
                  });
                  custom_fields_array.push({
                    custom_field_key,
                    custom_field_value,
                  });
                });
            });
            pop_last_filter = $(this)
              .find("option:selected, input:radio:checked")
              .attr("name");
            custom_fields_array = $.grep(custom_fields_array, function (e, i) {
              return e.custom_field_value != "all";
            });
            custom_fields_array = custom_fields_array
              .map(JSON.stringify)
              .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
              .filter(function (item, index, arr) {
                return arr.indexOf(item, index + 1) === -1;
              }) // check if there is any occurence of the item in whole array
              .reverse()
              .map(JSON.parse);
            pop_ajax_action(selected_term_list);
            pop_pagination_action(selected_term_list);
            pop_live_filter_reset(selected_term_list);
            pop_update_url();
          }
        );
        // Filter by checkbox custom field.
        $(POP_Wrapper_ID).on(
          "change",
          ".pop-custom-field-filter-checkbox",
          function (e) {
            e.stopPropagation();
            e.preventDefault();
            $(".pop-custom-field-filter-checkbox", POP_Wrapper_ID).each(
              function () {
                var custom_field_key = $(this)
                  .find("input:checkbox")
                  .attr("name");
                var custom_field_value = "";
                $(this)
                  .find(
                    "input[name='" + custom_field_key + "']:checkbox:checked"
                  )
                  .each(function () {
                    custom_field_key = $(this).attr("name");
                    custom_field_value += $(this).val() + ",";
                  });
                custom_field_value = custom_field_value.replace(
                  /,(?=\s*$)/,
                  ""
                );
                custom_fields_array.push({
                  custom_field_key,
                  custom_field_value,
                });
                custom_fields_array.map(function (person) {
                  if (person.custom_field_key === custom_field_key) {
                    person.custom_field_value = custom_field_value;
                  }
                });
                custom_fields_array = $.grep(
                  custom_fields_array,
                  function (e, i) {
                    return e.custom_field_value.length;
                  }
                );
              }
            );
            pop_last_filter = $(this)
              .find("input:checkbox:checked")
              .attr("name");
            custom_fields_array = custom_fields_array
              .map(JSON.stringify)
              .reverse() // convert to JSON string the array content, then reverse it (to check from end to beginning)
              .filter(function (item, index, arr) {
                return arr.indexOf(item, index + 1) === -1;
              }) // check if there is any occurrence of the item in whole array
              .reverse()
              .map(JSON.parse);
            pop_ajax_action(selected_term_list);
            pop_pagination_action(selected_term_list);
            pop_live_filter_reset(selected_term_list);
            pop_update_url();
          }
        );
        // Filter by taxonomy.
        $(POP_Wrapper_ID).on("change", ".pop-filter-by", function (e) {
          e.stopPropagation();
          e.preventDefault();
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              term_id = $(this).val();
              taxonomy = $(this).data("taxonomy");
              var selected_tax_length = selected_term_list.length;
              if (selected_tax_length > 0) {
                var selected_tax =
                  selected_term_list[selected_tax_length - 1]["taxonomy"];
                selected_term_list.map(function (person) {
                  if (person.taxonomy === taxonomy) {
                    person.term_id = term_id;
                  }
                });
                // if ($.inArray(taxonomy, tax_list) == -1) {
                selected_term_list.push({
                  taxonomy,
                  term_id,
                });
                //  }
                if (
                  selected_term_list[selected_tax_length - 1]["term_id"] ==
                    "all" &&
                  selected_tax === taxonomy
                ) {
                  tax_list = tax_list.filter(function (val) {
                    return val !== taxonomy;
                  });
                } else {
                  tax_list = pop_filter_push(tax_list, taxonomy);
                }
                selected_term_list = $.grep(
                  selected_term_list,
                  function (e, i) {
                    return e.term_id != "all";
                  }
                );
              } else {
                selected_term_list.push({
                  taxonomy,
                  term_id,
                });
                tax_list = Array(taxonomy);
              }
            });
          if (term_id == "all") {
            pop_last_filter = pop_last_filter;
          } else {
            pop_last_filter = taxonomy;
          }
          selected_term_list = selected_term_list
            .map(JSON.stringify)
            .reverse()
            .filter(function (item, index, selected_term_list) {
              return selected_term_list.indexOf(item, index + 1) === -1;
            })
            .reverse()
            .map(JSON.parse);
          pop_hash_update_arr("page", { page: "" }, "page");
          pop_update_url();
          // if ($('.pop-filter-by', POP_Wrapper_ID).length > 1) {
          pop_live_filter_reset(selected_term_list);
          //}
          pop_ajax_action(selected_term_list);
          pop_pagination_action(selected_term_list);
        });
        // Author filter.
        $(POP_Wrapper_ID).on("change", ".pop-author-filter", function (e) {
          var that;
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              that = $(this);
              author_id = that.val();
            });
          var author_arr = { author_id, author_id };
          if (author_id == "all") {
            pop_last_filter = pop_last_filter;
          } else {
            pop_last_filter = "author_id";
          }
          pop_hash_update_arr(author_id, author_arr, "author_id");
          pop_update_url();
          pop_live_filter_reset(selected_term_list);
          pop_ajax_action();
          pop_pagination_action();
        });

        // Post order asc/dsc.
        $(POP_Wrapper_ID).on("change", ".pop-order", function (e) {
          var that;
          $(this)
            .find("option:selected, input:radio:checked")
            .each(function () {
              that = $(this);
              order = $(this).val();
            });
          var order_arr = { order, order };
          pop_hash_update_arr(order, order_arr, "order");
          pop_update_url();
          pop_ajax_action();
          pop_pagination_action();
          pop_hash_update_arr("page", { page: "" }, "page");
          pop_update_url();
        });
        /**
         * Grid masonry.
         */
        if ($(POP_Wrapper_ID).hasClass("pop-masonry")) {
          var $post_wrapper = $(".ta-row", POP_Wrapper_ID);
          $post_wrapper.imagesLoaded(function () {
            $post_wrapper.masonry(/* {
                itemSelector: 'div[class*=ta-col-]',
                //fitWidth: true,
                percentPosition: true
              } */);
          });
        }

        /**
         * The Pagination effects.
         *
         * The effects for pagination to work for both mobile and other screens.
         */
        var Pagination_Type = $(POP_Wrapper_ID).data("pagination");
        if ($(window).width() <= 480) {
          var Pagination_Type = $(POP_Wrapper_ID).data("pagination_mobile");
        }
        // Ajax number pagination
        if (Pagination_Type == "ajax_pagination") {
          $(POP_Wrapper_ID).on("click", ".pop-post-pagination a", function (e) {
            e.preventDefault();
            var that = $(this);
            var totalPage = $(
                ".pop-post-pagination.pop-on-desktop a:not(.pop_next, .pop_prev)",
                POP_Wrapper_ID
              ).length,
              currentPage = parseInt(
                $(
                  ".pop-post-pagination.pop-on-desktop .active:not(.pop_next, .pop_prev)",
                  POP_Wrapper_ID
                ).data("page")
              );
            if ($(window).width() <= 480) {
              var totalPage = $(
                  ".pop-post-pagination.pop-on-mobile a:not(.pop_next, .pop_prev)",
                  POP_Wrapper_ID
                ).length,
                currentPage = parseInt(
                  $(
                    ".pop-post-pagination.pop-on-mobile .active:not(.pop_next, .pop_prev)",
                    POP_Wrapper_ID
                  ).data("page")
                );
            }
            page = parseInt(that.data("page"));
            if (that.hasClass("pop_next")) {
              if (totalPage > currentPage) {
                var page = currentPage + 1;
              } else {
                return;
              }
            }
            if (that.hasClass("pop_prev")) {
              if (currentPage > 1) {
                var page = currentPage - 1;
              } else {
                return;
              }
            }
            var pop_paged = { page, page };
            $.ajax({
              url: ajaxurl,
              type: "post",
              data: {
                page: page,
                id: pc_sid,
                action: "post_grid_ajax",
                order: order,
                lang: spsp_lang,
                keyword: keyword,
                orderby: orderby,
                taxonomy: taxonomy,
                term_id: term_id,
                author_id: author_id,
                term_list: selected_term_list,
                custom_fields_array: custom_fields_array,
                nonce: nonce,
              },
              error: function (response) {
              },
              success: function (response) {
                var $data = $(response);
                var $newElements = $data;
                if ($(POP_Wrapper_ID).hasClass("pop-masonry")) {
                  var $post_wrapper = $(".ta-row", POP_Wrapper_ID);
                  $post_wrapper.masonry("destroy");
                  $post_wrapper.html($newElements).imagesLoaded(function () {
                    $post_wrapper.masonry();
                  });
                } else if ($(POP_Wrapper_ID).hasClass("pop-filter-wrapper")) {
                  $grid
                    .html($newElements)
                    .isotope("appended", $newElements)
                    .imagesLoaded(function () {
                      $grid.isotope("layout");
                    });
                  pop_item_same_height();
                } else {
                  $(
                    ".ta-row, .pop-timeline-grid, .ta-collapse, .table-responsive tbody",
                    POP_Wrapper_ID
                  ).html($newElements);
                  if (popAccordion.length > 0) {
                    popAccordion.accordion("refresh");
                    if (accordion_mode === "multi-open") {
                      popAccordion
                        .find(".pop-collapse-header")
                        .next()
                        .slideDown();
                      popAccordion
                        .find(".pop-collapse-header .fa")
                        .removeClass("fa-plus")
                        .addClass("fa-minus");
                    }
                  }
                  var $newElements = $data.css({
                    opacity: 1,
                  });
                }
                $(".page-numbers", POP_Wrapper_ID).removeClass("active");
                $(".page-numbers", POP_Wrapper_ID).each(function () {
                  // if (parseInt($('.pop-post-pagination a').data('page')) === page) {
                  $(
                    ".pop-post-pagination a[data-page=" + page + "]",
                    POP_Wrapper_ID
                  ).addClass("active");
                  // }
                });
                $(".pop_next", POP_Wrapper_ID).removeClass("active");
                $(".pop_prev", POP_Wrapper_ID).removeClass("active");
                $(".pop-post-pagination a.active", POP_Wrapper_ID).each(
                  function () {
                    if (parseInt($(this).data("page")) === totalPage) {
                      $(".pop_next", POP_Wrapper_ID).addClass("active");
                    }
                    if (parseInt($(this).data("page")) === 1) {
                      $(".pop_prev", POP_Wrapper_ID).addClass("active");
                    }
                  }
                );
                if (popAccordion.length > 0) {
                  popAccordion.accordion("refresh");
                  if (accordion_mode === "multi-open") {
                    popAccordion
                      .find(".pop-collapse-header")
                      .next()
                      .slideDown();
                    popAccordion
                      .find(".pop-collapse-header .fa")
                      .removeClass("fa-plus")
                      .addClass("fa-minus");
                  }
                }
                $newElements.animate({
                  opacity: 1,
                });
                pop_lazyload();
                // Ajax Number pagination go to current shortcode top.
                var url_hash = window.location.search;
                if (url_hash.indexOf("pop_page") >= 0) {
                  var current_screen_id =
                    document.querySelector(POP_Wrapper_ID);
                  current_screen_id.scrollIntoView();
                }
              },
            });
            pop_hash_update_arr(page, pop_paged, "page");
            pop_update_url();
          });
        }

        /**
         * Ajax load on click and Infinite scroll.
         */
        if (
          Pagination_Type == "infinite_scroll" ||
          Pagination_Type == "ajax_load_more"
        ) {
          $(POP_Wrapper_ID).each(function () {
            var EndingMessage = $(this)
              .find(".ta-pop-pagination-data")
              .data("endingtext");
            var LoadMoreText = $(this)
              .find(".ta-pop-pagination-data")
              .data("loadmoretext");
            if (
              !$(this)
                .find(".pop-load-more")
                .hasClass("pop-load-more-initialize")
            ) {
              if ($(".pop-post-pagination a", POP_Wrapper_ID).length) {
                $(".pop-post-pagination", POP_Wrapper_ID)
                  .eq(0)
                  .before(
                    '<div class="pop-load-more"><button pop-processing="0">' +
                      LoadMoreText +
                      "</button></div>"
                  );
              }
              if (Pagination_Type == "infinite_scroll") {
                $(".pop-load-more", POP_Wrapper_ID).addClass("pop-hide");
              }
              $(".pop-post-pagination", POP_Wrapper_ID).addClass("pop-hide");
              $(".ta-row div[class*=ta-col-]", POP_Wrapper_ID).addClass(
                "pop-added"
              );
              $(this)
                .find(".pop-load-more")
                .addClass("pop-load-more-initialize");
              $(this).on("click", ".pop-load-more button", function (e) {
                e.preventDefault();
                if (
                  $(
                    ".pop-post-pagination a.active:not(.pop_next, .pop_prev)",
                    POP_Wrapper_ID
                  ).length
                ) {
                  $(".pop-load-more button").attr("pop-processing", 1);
                  var current_page = parseInt(
                    $(
                      ".pop-post-pagination a.active:not(.pop_next, .pop_prev)",
                      POP_Wrapper_ID
                    ).data("page")
                  );
                  current_page = current_page + 1;
                  $(".pop-load-more", POP_Wrapper_ID).hide();
                  $(".pop-post-pagination", POP_Wrapper_ID)
                    .eq(0)
                    .before(
                      '<div class="pop-infinite-scroll-loader"><svg width="44" height="44" viewBox="0 0 44 44" xmlns="http://www.w3.org/2000/svg" stroke="#444"><g fill="none" fill-rule="evenodd" stroke-width="2"><circle cx="22" cy="22" r="1"><animate attributeName="r" begin="0s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite" /> <animate attributeName="stroke-opacity" begin="0s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite" /> </circle> <circle cx="22" cy="22" r="1"> <animate attributeName="r" begin="-0.9s" dur="1.8s" values="1; 20" calcMode="spline" keyTimes="0; 1" keySplines="0.165, 0.84, 0.44, 1" repeatCount="indefinite" /> <animate attributeName="stroke-opacity" begin="-0.9s" dur="1.8s" values="1; 0" calcMode="spline" keyTimes="0; 1" keySplines="0.3, 0.61, 0.355, 1" repeatCount="indefinite"/></circle></g></svg></div>'
                    );
                  totalPage = $(
                    ".pop-post-pagination.pop-on-desktop.infinite_scroll a:not(.pop_next, .pop_prev), .pop-post-pagination.pop-on-desktop.ajax_load_more a:not(.pop_next, .pop_prev)",
                    POP_Wrapper_ID
                  ).length;
                  if ($(window).width() <= 480) {
                    totalPage = $(
                      ".pop-post-pagination.pop-on-mobile.infinite_scroll a:not(.pop_next, .pop_prev), .pop-post-pagination.ajax_load_more.pop-on-mobile  a:not(.pop_next, .pop_prev)",
                      POP_Wrapper_ID
                    ).length;
                  }
                  page = current_page;
                  $.ajax({
                    url: ajaxurl,
                    type: "post",
                    data: {
                      page: page,
                      id: pc_sid,
                      action: "post_grid_ajax",
                      order: order,
                      lang: spsp_lang,
                      keyword: keyword,
                      orderby: orderby,
                      taxonomy: taxonomy,
                      term_id: term_id,
                      author_id: author_id,
                      term_list: selected_term_list,
                      custom_fields_array: custom_fields_array,
                      nonce: nonce,
                    },
                    error: function (response) {
                    },
                    success: function (response) {
                      var $data = $(response);
                      var $newElements = $data;
                      if ($(POP_Wrapper_ID).hasClass("pop-masonry")) {
                        var $post_wrapper = $(".ta-row", POP_Wrapper_ID);
                        $post_wrapper.masonry("destroy");
                        $post_wrapper
                          .append($newElements)
                          .imagesLoaded(function () {
                            $post_wrapper.masonry();
                          });
                      } else if (
                        $(POP_Wrapper_ID).hasClass("pop-filter-wrapper")
                      ) {
                        $grid
                          .append($newElements)
                          .isotope("appended", $newElements)
                          .imagesLoaded(function () {
                            $grid.isotope("layout");
                          });
                        pop_item_same_height();
                      } else {
                        var $newElements = $data.css({
                          opacity: 0,
                        });
                        $(
                          ".ta-row, .pop-timeline-grid, .ta-collapse, .table-responsive tbody",
                          POP_Wrapper_ID
                        ).append($newElements);
                        if (popAccordion.length > 0) {
                          popAccordion.accordion("refresh");
                          if (accordion_mode === "multi-open") {
                            popAccordion
                              .find(".pop-collapse-header")
                              .next()
                              .slideDown();
                            popAccordion
                              .find(".pop-collapse-header .fa")
                              .removeClass("fa-plus")
                              .addClass("fa-minus");
                          }
                        }
                        var $newElements = $data.css({
                          opacity: 1,
                        });
                      }
                      $(".page-numbers", POP_Wrapper_ID).removeClass("active");
                      $(".page-numbers", POP_Wrapper_ID).each(function () {
                        $(
                          ".pop-post-pagination a[data-page=" + page + "]",
                          POP_Wrapper_ID
                        ).addClass("active");
                      });
                      $(".pop-infinite-scroll-loader", POP_Wrapper_ID).remove();
                      if (Pagination_Type == "ajax_load_more") {
                        $(".pop-load-more").show();
                      }
                      $(".pop-load-more button").attr("pop-processing", 0);
                      $(".ta-row div[class*=ta-col-]", POP_Wrapper_ID)
                        .not(".pop-added")
                        .addClass("animated popFadeIn")
                        .one("webkitAnimationEnd animationEnd", function () {
                          $(this)
                            .removeClass("animated popFadeIn")
                            .addClass("pop-added");
                        });
                      if (totalPage == current_page) {
                        $(".pop-load-more", POP_Wrapper_ID)
                          .addClass("finished")
                          .removeClass("pop-hide");
                        $(".pop-load-more", POP_Wrapper_ID)
                          .show()
                          .html(EndingMessage);
                      }
                      pop_lazyload();
                    },
                  });
                } else {
                  $(".pop-load-more", POP_Wrapper_ID)
                    .addClass("finished")
                    .removeClass("pop-hide");
                  $(".pop-load-more", POP_Wrapper_ID)
                    .show()
                    .html(EndingMessage);
                }
              });
            }
            if (Pagination_Type == "infinite_scroll") {
              bufferBefore = Math.abs(20);
              $(window).scroll(function () {
                if (
                  $(
                    ".ta-row, .ta-collapse, .pop-timeline-grid, .table-responsive tbody",
                    POP_Wrapper_ID
                  ).length
                ) {
                  var TopAndContent =
                    $(
                      ".ta-row, .ta-collapse, .pop-timeline-grid, .table-responsive tbody",
                      POP_Wrapper_ID
                    ).offset().top +
                    $(
                      ".ta-row, .ta-collapse, .pop-timeline-grid, .table-responsive tbody",
                      POP_Wrapper_ID
                    ).outerHeight();
                  var areaLeft = TopAndContent - $(window).scrollTop();
                  if (areaLeft - bufferBefore < $(window).height()) {
                    if (
                      $(".pop-load-more button", POP_Wrapper_ID).attr(
                        "pop-processing"
                      ) == 0
                    ) {
                      $(".pop-load-more button", POP_Wrapper_ID).trigger(
                        "click"
                      );
                    }
                  }
                }
              });
            }
          });
        }

        /* This code added for divi-builder ticker mode compatibility. */
        if (popCarousel.length > 0 && popCarouselData.mode == "ticker") {
          $(".ta-pop-carousel img").removeAttr("loading");
          $(window).on("load", function () {
            $(".ta-pop-carousel").each(function () {
              var thisdfd = $(this);
              var thisCSS = thisdfd.attr("style");
              $(this).removeAttr("style");
              setTimeout(function () {
                thisdfd.attr("style", thisCSS);
              }, 0);
            });
          });
        }

        /* Preloader js */
        $(document).ready(function () {
          $(".pop-preloader", POP_Wrapper_ID).css({
            backgroundImage: "none",
            visibility: "hidden",
          });
        });
        // This function added for pop-Lazyload.
        function pop_lazyload() {
          var $is_find = $(".postify__item--thumbnail img").hasClass(
            "pop-lazyload"
          );
          if ($is_find) {
            $("img.pop-lazyload")
              .pop_lazyload({ effect: "fadeIn", effectTime: 2000 })
              .removeClass("pop-lazyload")
              .addClass("pop-lazyloaded");
          }
          // pop_item_same_height();
        }
        pop_lazyload();
      });
    }
  };
  pop_myScript();
});
