<?php

/**
 *  Shuffle filter view file
 *
 * This template can be overridden by copying it to yourtheme/postify-pro/templates/filter.php
 *
 * @package    Postify_pro
 * @subpackage Postify_pro/public/template
 */

if (!defined('ABSPATH')) {
	exit;
}
?>
<div id="pop_wrapper-<?php echo esc_attr($pop_gl_id); ?>" class="<?php self::pop_wrapper_classes($layout_preset, $pop_gl_id, $pagination_type, $item_same_height_class); ?>" data-sid="<?php echo esc_attr($pop_gl_id); ?>" <?php self::wrapper_data($pagination_type, $pagination_type_mobile, $pop_gl_id); ?> data-grid="<?php echo esc_attr($grid_style); ?>" data-lang="<?php echo esc_attr($spta_lang); ?>">
	<?php
	POP_HTML::pop_section_title($section_title, $show_section_title);
	POP_HTML::pop_preloader($show_preloader);
	$categories = get_categories(
		array(
			'orderby' => 'name',
			'parent'  => 0,
		)
	);
	if (is_array($advanced_filter) && !$pop_query->is_main_query()) {
	?>
		<div class="pop-shuffle-filter">
			<?php
			$filter_type = isset($view_options['pop_filter_type']) ? $view_options['pop_filter_type'] : '';
			Postify_Pro_Shuffle_Filter::pop_shuffle_filter($view_options, $layout_preset, $pop_query, $filter_type);
			?>
		</div>
	<?php }; ?>
	<div class="ta-row grid">
		<?php self::pop_get_posts($options, $layout_preset, $post_content_sorter, $pop_query, $pop_gl_id); ?>
	</div>
	<?php require POP_Functions::pop_locate_template('pagination.php'); ?>
</div>