<?php

/**
 *  Carousel view
 *
 * @package    Postify_pro
 * @subpackage Postify_pro/public/template
 */
if (!defined('ABSPATH')) {
	exit;
}
?>
<div id="pop_wrapper-<?php echo esc_attr($pop_gl_id); ?>" class="<?php self::pop_wrapper_classes($layout_preset, $pop_gl_id, $grid_style, $item_same_height_class); ?>" <?php self::wrapper_data( $pagination_type, $pagination_type_mobile, $pop_gl_id ); ?> data-lang="<?php echo esc_attr( $spsp_lang ); ?>">

	<?php
	POP_HTML::pop_section_title($section_title, $show_section_title);
	POP_HTML::pop_preloader($show_preloader);
	?>
	<?php require POP_Functions::pop_locate_template('filter-bar.php'); ?>
	<div class="postify">
		<div class="ta-row">
			<?php self::pop_get_posts($options, $layout_preset, $post_content_sorter, $pop_query, $pop_gl_id); ?>
		</div>
	</div>
	<?php require POP_Functions::pop_locate_template( 'pagination.php' ); ?>
</div>