<?php
/**
 * Social share
 *
 * This template can be overridden by copying it to yourtheme/postify-pro-pro/templates/item/social-share.php
 *
 * @package    Postify_Pro
 * @subpackage Postify_Pro/public
 */

?>
<div class="postify__item__socail-share">
<?php
do_action( 'pop_add_first_socials' );
foreach ( $social_share_media as $style_key => $style_value ) {
	switch ( $style_value ) {
		case 'facebook':
			?>
			<a title="<?php echo esc_attr('Facebook', 'postify-pro') ?>"  href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink( $pop_post ); ?>" class="pop-social-icon pop-facebook <?php echo esc_attr( $social_icon_shape ); ?>" onClick="window.open('https://www.facebook.com/sharer.php?u=<?php the_permalink( $pop_post ); ?>','Facebook','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" ><i class="fa fa-facebook"></i></a>
			<?php
			break;
		case 'twitter':
			?>
			<a title="<?php echo esc_attr('Twitter', 'postify-pro') ?>" onClick="window.open('https://twitter.com/share?url=<?php the_permalink( $pop_post ); ?>&amp;text=<?php echo get_the_title( $pop_post ); ?>','Twitter share','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="https://twitter.com/share?url=<?php the_permalink( $pop_post ); ?>&amp;text=<?php echo get_the_title( $pop_post ); ?>" class="pop-social-icon pop-twitter <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fa fa-twitter"></i></a>
			<?php
			break;
		case 'linkedIn':
			?>
			<a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink( $pop_post ); ?>" title="<?php echo esc_attr('linkedIn', 'postify-pro') ?>" class="pop-social-icon pop-linkedin <?php echo esc_attr( $social_icon_shape ); ?>" onClick="window.open('https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink( $pop_post ); ?>','Linkedin','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink( $pop_post ); ?>"> <i class="fa fa-linkedin"></i></a>
			<?php
			break;
		case 'pinterest':
			?>
			<a href='javascript:void((function()%7Bvar%20e=document.createElement(&apos;script&apos;);e.setAttribute(&apos;type&apos;,&apos;text/javascript&apos;);e.setAttribute(&apos;charset&apos;,&apos;UTF-8&apos;);e.setAttribute(&apos;src&apos;,&apos;https://assets.pinterest.com/js/pinmarklet.js?r=&apos;+Math.random()*99999999);document.body.appendChild(e)%7D)());' class="pop-social-icon pop-pinterest <?php echo esc_attr( $social_icon_shape ); ?>" title="<?php echo esc_attr('Pinterest', 'postify-pro') ?>"> <i class="fa fa-pinterest"></i></a>
			<?php
			break;
		case 'email':
			?>
			<a href="mailto:?Subject=<?php echo get_the_title( $pop_post ); ?>&amp;Body=<?php the_permalink( $pop_post ); ?>" title="<?php echo esc_attr('Email', 'postify-pro') ?>" class="pop-social-icon pop-envelope <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fa fa-envelope"></i></a>
			<?php
			break;
		case 'instagram':
			?>
				<a title="<?php echo esc_attr('Instagram', 'postify-pro') ?>" onClick="window.open('https://instagram.com/?url=<?php the_permalink( $pop_post ); ?>&amp;text=<?php echo get_the_title( $pop_post ); ?>','Twitter share','width=450,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="https://instagram.com/?url=<?php the_permalink( $pop_post ); ?>&amp;text=<?php echo get_the_title( $pop_post ); ?>" class="pop-social-icon pop-instagram <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fa fa-instagram" aria-hidden="true"></i></a>
				<?php
			break;
		case 'whatsapp':
			?>
			<a href="https://api.whatsapp.com/send?text=<?php echo get_the_title( $pop_post ); ?>%20<?php the_permalink( $pop_post ); ?>" onClick="window.open('https://api.whatsapp.com/send?text=<?php echo get_the_title( $pop_post ); ?>%20<?php the_permalink( $pop_post ); ?>','whatsapp','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr('WhatsApp', 'postify-pro') ?>" class="pop-social-icon pop-whatsapp <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fa fa-whatsapp"></i></a>
			<?php
			break;
		case 'reddit':
			?>
			<a href="https://reddit.com/submit?url=<?php the_permalink( $pop_post ); ?>&amp;title=<?php echo get_the_title( $pop_post ); ?>" onClick="window.open('https://reddit.com/submit?url=<?php the_permalink( $pop_post ); ?>&amp;title=<?php echo get_the_title( $pop_post ); ?>','reddit','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_attr('Reddit', 'postify-pro') ?>"  class="pop-social-icon pop-reddit <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fa fa-reddit"></i></a>
			<?php
			break;
		case 'tumblr':
			?>
			<a href="https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php the_permalink( $pop_post ); ?>&amp;title=<?php echo get_the_title( $pop_post ); ?>" title="<?php echo esc_attr('tumblr', 'postify-pro') ?>" onClick="window.open('https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php the_permalink( $pop_post ); ?>&amp;title=<?php echo get_the_title( $pop_post ); ?>','tumblr','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" class="pop-social-icon pop-tumblr <?php echo esc_attr( $social_icon_shape ); ?>"><i class="fa fa-tumblr"></i></a>
			<?php
			break;
		case 'digg':
			?>
			<a href="https://digg.com/submit?url=<?php the_permalink( $pop_post ); ?>%&amp;title=<?php echo get_the_title( $pop_post ); ?>" onClick="window.open('https://digg.com/submit?url=<?php the_permalink( $pop_post ); ?>%&amp;title=<?php echo get_the_title( $pop_post ); ?>','Digg','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" title="<?php echo esc_html('digg', 'postify-pro') ?>" class="pop-social-icon pop-digg <?php echo esc_attr( $social_icon_shape ); ?>"><i class="fa fa-digg"></i></a>
			<?php
			break;
		case 'vk':
			?>
			<a href="https://vk.com/share.php?url=<?php the_permalink( $pop_post ); ?>&amp;title=<?php echo get_the_title( $pop_post ); ?>&amp;comment="  title="<?php echo esc_attr('VK', 'postify-pro') ?>" onClick="window.open('https://vk.com/share.php','VK','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;" class="pop-social-icon pop-vk <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fa fa-vk"></i></a>
			<?php
			break;
		case 'xing':


			?>
			<a href="https://www.xing.com/spi/shares/new?url=<?php the_permalink( $pop_post ); ?>" onClick="window.open('https://www.xing.com/spi/shares/new?url=<?php the_permalink( $pop_post ); ?>','xing','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;"  title="<?php echo esc_attr('Xing', 'postify-pro') ?>" class="pop-social-icon pop-xing <?php echo esc_attr( $social_icon_shape ); ?>"><i class="fa fa-xing"></i></a>
			<?php
			break;
		case 'pocket':
			?>
			<a href="https://getpocket.com/edit?url=<?php the_permalink( $pop_post ); ?>" onClick="window.open('https://getpocket.com/edit?url=<?php the_permalink( $pop_post ); ?>','ocket','width=450,height=300,left='+(screen.availWidth/2-431)+',top='+(screen.availHeight/2-250)+''); return false;"  title="<?php echo esc_attr('Pocket', 'postify-pro') ?>" class="pop-social-icon pop-pocket <?php echo esc_attr( $social_icon_shape ); ?>"> <i class="fa fa-get-pocket"></i></a>
			<?php
			break;
	}
}
do_action( 'pop_add_last_socials' );
?>
</div>
<?php
