;(function( $, window ) {
  'use strict';

/*  Keep the accordion field's first item opened */
$(window).load(function () {
  $('.pop-opened-accordion').each(function () {
    if (!$(this).hasClass('hidden')) {
      $(this).addClass('pop_saved_filter')
    }
  })
})
$('.pop-field-checkbox.pop_advanced_filter').change(function (event) {
  $('.pop-opened-accordion').each(function () {
    if ($(this).hasClass('hidden')) {
      $(this).removeClass('pop_saved_filter')
    } else {
      $(this).addClass('pop_saved_filter')
    }
    if (!$(this).hasClass('pop_saved_filter')) {
      if (
        $(this)
          .find('.pop-accordion-title')
          .siblings('.pop-accordion-content')
          .hasClass('pop-accordion-open')
      ) {
        $(this).find('.pop-accordion-title')
      } else {
        $(this)
          .find('.pop-accordion-title')
          .trigger('click')
        $(this)
          .find('.pop-accordion-content')
          .find('.pop-cloneable-add')
          .trigger('click')
      }
    }
  })
})

})( jQuery, window, document );