<?php

/**
 * Read more
 *
 * This template can be overridden by copying it to yourtheme/postify-pro/templates/item/read-more.php
 *
 * @package    Postify_pro_Pro
 * @subpackage Postify_pro_Pro/public
 */

if ('text_link' === $read_more_type) {
?>

    <?php if ('none' === $pop_page_link_type) { ?>
        <a class="postify__item__btn" target="<?php echo esc_attr($readmore_target); ?>" <?php echo esc_html($pop_link_rel_text); ?>>
        <?php } else { ?>
            <a class="postify__item__btn" target="<?php echo esc_attr($readmore_target); ?>" ta rel="<?php echo esc_attr($pop_link_rel); ?>" href="<?php the_permalink($post); ?>" <?php echo esc_html($pop_link_rel_text); ?>>
            <?php } ?>

            <?php echo esc_html($pop_read_label); ?> </a>

        <?php
    } else {
        ?>
            <div class="postify__item__content__readmore">
                <?php if ('none' === $pop_page_link_type) { ?>
                    <a class="postify__item__btn" target="<?php echo esc_attr($readmore_target); ?>" <?php echo esc_html($pop_link_rel_text); ?>>
                    <?php } else { ?>
                        <a class="postify__item__btn" target="<?php echo esc_attr($readmore_target); ?>" href="<?php the_permalink($post); ?>" <?php echo esc_html($pop_link_rel_text); ?>>
                        <?php } ?>
                        <?php echo esc_html($pop_read_label); ?> </a>
            </div>
        <?php
    }
